WriterEncodedAppender (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Class WriterEncodedAppender

    java.lang.Object
      org.codehaus.groovy.grails.support.encoding.AbstractEncodedAppender
          org.codehaus.groovy.grails.support.encoding.WriterEncodedAppender

    public class WriterEncodedAppender
    extends AbstractEncodedAppender

An EncodedAppender implementation that writes to a java.io.Writer.

Authors:
  Lari Hotari

Since:
  2.3

Constructor Summary
`WriterEncodedAppender(java.io.Writer target)` Default constructor.

Method Summary
`void` | `append(Encoder encoder, char character)`
`protected void` | `appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)`
`void` | `close()`
`void` | `flush()`
`protected void` | `write(EncodingState encodingState, char[] b, int off, int len)`
`protected void` | `write(EncodingState encodingState, java.lang.String str, int off, int len)`

Methods inherited from class AbstractEncodedAppender
append, append, append, append, appendCharSequence, appendEncoded, appendEncoded, encodeAndWrite, flush, shouldEncode, write, write

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### WriterEncodedAppender

    public WriterEncodedAppender(java.io.Writer target)

  Default constructor.
  Parameters:
    `target` - the target writer

Method Detail

### append

    @java.lang.Override
    public void append(Encoder encoder, char character)

### appendCharSequence

    @java.lang.Override
    protected void appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)

### close

    public void close()

### flush

    @java.lang.Override
    public void flush()

### write

    @java.lang.Override
    protected void write(EncodingState encodingState, char[] b, int off, int len)

### write

    @java.lang.Override
    protected void write(EncodingState encodingState, java.lang.String str, int off, int len)

Groovy Documentation